Subject: Re: bug#40116: GDM: Memory leak in .gnome-shell-real process

From: Julien Lepiller <[email-masked]>
Date: Wed, 18 Mar 2020 12:09:36 -0400

Le 18 mars 2020 10:18:11 GMT-04:00, sirgazil via Bug reports for GNU Guix <[email-masked]> a écrit :
>I can't use GNOME anymore because of the problem I explained in the
>following thread:
>
>https://lists.gnu.org/archive/html/help-guix/2020-02/msg00206.html
>
>On recent system upgrades, the problem got worse. Before, I could get
>to the end of the day despite the leak; but now it takes around 3 hours
>for the .gnome-shell-real process run by the gdm user to eat the
>remaining RAM.
>
>It seems that the bug is stronger in the GNOME desktop, but I've seen,
>at least once, .gnome-shell-real using an abnormal amount of RAM while
>in sway (about 800 MiB).
>
>My current guix:
>
>$ guix describe
>Generation 61	Mar 15 2020 08:44:39	(current)
>  sirgazil-x 8274cd7
>    repository URL: https://gitlab.com/sirgazil/guix-channel-x.git
>    branch: master
>    commit: 8274cd78f9f6d58e00e057a0eabe58e4e143cc4d
>  guix a431a63
>    repository URL: https://git.savannah.gnu.org/git/guix.git
>    branch: master
>    commit: a431a63537c8103b2a58c9a55d90184fb5c90361
>
>
>---
>https://sirgazil.bitbucket.io/

I'm also hit by that bug. I do not use gnome though, and the .gnome-session-real process is owned by gdm. Ram usage is at around 200MB when starting and after a few days (putting the laptop to sleep during the night), it got to 2.4GB, even though I don't really need or use it beside logging in. After another restart, it was at 600MB after a day. That memory usage is ridiculous :/